Delete Third-Party Files
To delete a single third-party file, issue a POST request to the /ccadmin/v1/files/deleteFile endpoint on the administration server.
![]()
This section applies to Open Storefront Framework
(OSF).
The request JSON includes a required filename property
for specifying the file to delete. For example:
POST /ccadmin/v1/files/deleteFile HTTP 1.1
Authorization: Bearer <access_token>
{
"filename": "/thirdparty/sampleFile.txt"
}
To delete multiple third-party files, issue a POST request to the /ccadmin/v1/files/deleteFiles endpoint on the administration server. The request body includes
a deletePaths property that specifies an array of
files to delete:
POST /ccadmin/v1/files/deleteFiles HTTP 1.1
Authorization: Bearer <access_token>
{
"deletePaths": [
"/thirdparty/google2827eae44ccfac6b.html",
"/thirdparty/.well-known/apple-developer-merchantid-domain-association"
]
}
If the deletion is successful, the JSON payload in the response is empty.
The request body for these endpoints can include an optional
recursive property. If this property is set
to true, the call recursively deletes child folders under the
specified folders or files. If the property is omitted, it defaults
to false.
To make your changes available to the production environment, publish them, as described in Publish Changes.